## microb-engine 20090612

=== security/nss/cmd/shlibsign/Makefile ===
#! gmake
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################

#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

ifeq ($(OS_ARCH), WINNT)

EXTRA_LIBS += \
	$(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plc4.$(LIB_SUFFIX) \
	$(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plds4.$(LIB_SUFFIX) \
	$(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)nspr4.$(LIB_SUFFIX) \
	$(NULL)

else

EXTRA_SHARED_LIBS += \
	-L$(NSPR_LIB_DIR) \
	-lplc4 \
	-lplds4 \
	-lnspr4 \
	$(NULL)

endif


# sign any and all shared libraries that contain the word freebl

CHECKLIBS = $(DIST)/lib/$(DLL_PREFIX)softokn3.$(DLL_SUFFIX)
CHECKLIBS += $(wildcard $(DIST)/lib/$(DLL_PREFIX)freebl*3.$(DLL_SUFFIX))
CHECKLIBS += $(DIST)/lib/$(DLL_PREFIX)nssdbm3.$(DLL_SUFFIX)
CHECKLOC = $(CHECKLIBS:.$(DLL_SUFFIX)=.chk)

MD_LIB_RELEASE_FILES = $(CHECKLOC)
ALL_TRASH += $(CHECKLOC)


#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################


#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################


include ../platrules.mk

SRCDIR = $(call core_abspath,.)

%.chk: %.$(DLL_SUFFIX) 
ifeq ($(OS_TARGET), OS2)
	cd $(OBJDIR) ; cmd.exe /c $(SRCDIR)/sign.cmd $(DIST) \
	$(call core_abspath,$(OBJDIR)) $(OS_TARGET) \
	$(call core_abspath,$(NSPR_LIB_DIR)) $(call core_abspath,$<)
else
	cd $(OBJDIR) ; sh $(SRCDIR)/sign.sh $(call core_abspath,$(DIST)) \
	$(call core_abspath,$(OBJDIR)) $(OS_TARGET) \
	$(call core_abspath,$(NSPR_LIB_DIR)) $(call core_abspath,$<)
endif

libs install :: $(CHECKLOC)

=== security/nss/lib/freebl/Makefile ===
#! gmake
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Stephen Fung <fungstep@hotmail.com> and
#   Douglas Stebila <douglas@stebila.ca>, Sun Microsystems Laboratories
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

-include config.mk

# default for all platforms
# unset this on those that have multiple freebl libraries
FREEBL_BUILD_SINGLE_SHLIB = 1

ifdef USE_64
	DEFINES += -DNSS_USE_64
endif

ifdef USE_ABI32_FPU
	DEFINES += -DNSS_USE_ABI32_FPU
endif

ifdef FREEBL_NO_DEPEND
	DEFINES += -DFREEBL_NO_DEPEND
endif
# NSS_X86 means the target is a 32-bits x86 CPU architecture
# NSS_X64 means the target is a 64-bits x64 CPU architecture
# NSS_X86_OR_X64 means the target is either x86 or x64
ifeq (,$(filter-out x386 x86 x86_64,$(CPU_ARCH)))
        DEFINES += -DNSS_X86_OR_X64
ifdef USE_64
        DEFINES += -DNSS_X64
else
        DEFINES += -DNSS_X86
endif
endif

ifeq ($(OS_TARGET),OSF1)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_NO_MP_WORD
    MPI_SRCS += mpvalpha.c
endif

ifeq (,$(filter-out WINNT WIN95,$(OS_TARGET)))  #omits WINCE
ifndef USE_64
# 32-bit Windows
ifdef NS_USE_GCC
# Ideally, we want to use assembler
#     ASFILES  = mpi_x86.s
#     DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE \
#                -DMP_ASSEMBLY_DIV_2DX1D
# but we haven't figured out how to make it work, so we are not
# using assembler right now.
    ASFILES  =
    DEFINES += -DMP_NO_MP_WORD -DMP_USE_UINT_DIGIT
else
# MSVC
    MPI_SRCS += mpi_x86_asm.c
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
endif
else
    # -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
    ASFILES  = arcfour-amd64-masm.asm mpi_amd64_masm.asm mp_comba_amd64_masm.asm
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
    MPI_SRCS += mpi_amd64.c
endif
endif

ifeq ($(OS_TARGET),WINCE)
    DEFINES += -DMP_ARGCHK=0	# no assert in WinCE
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
endif

ifeq ($(OS_TARGET),IRIX)
ifeq ($(USE_N32),1)
    ASFILES  = mpi_mips.s
    ifeq ($(NS_USE_GCC),1)
	ASFLAGS = -Wp,-P -Wp,-traditional -O -mips3
    else
	ASFLAGS = -O -OPT:Olimit=4000 -dollar -fullwarn -xansi -n32 -mips3 
    endif
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_USE_UINT_DIGIT
endif
endif

ifeq ($(OS_TARGET),Linux)
ifeq ($(CPU_ARCH),x86_64)
    ASFILES  = arcfour-amd64-gas.s mpi_amd64_gas.s
    ASFLAGS += -march=opteron -m64 -fPIC -Wa,--noexecstack
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
#   DEFINES += -DMPI_AMD64_ADD
    # comment the next two lines to turn off intel HW accelleration
    DEFINES += -DUSE_HW_AES
    ASFILES += intel-aes.s
    MPI_SRCS += mpi_amd64.c mp_comba.c
endif
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_x86.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
    # The floating point ECC code doesn't work on Linux x86 (bug 311432).
    #ECL_USE_FP = 1
endif
endif # Linux

ifeq ($(OS_TARGET),AIX)
    DEFINES += -DMP_USE_UINT_DIGIT
    ifndef USE_64
	DEFINES += -DMP_NO_DIV_WORD -DMP_NO_ADD_WORD -DMP_NO_SUB_WORD
    endif
endif # AIX

ifeq ($(OS_TARGET), HP-UX)
ifneq ($(OS_TEST), ia64)
# PA-RISC
ASFILES += ret_cr16.s
ifndef USE_64
    FREEBL_BUILD_SINGLE_SHLIB = 
    HAVE_ABI32_INT32 = 1
    HAVE_ABI32_FPU = 1
endif
ifdef FREEBL_CHILD_BUILD
ifdef USE_ABI32_INT32
# build for DA1.1 (HP PA 1.1) 32-bit ABI build with 32-bit arithmetic
    DEFINES  += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
else
ifdef USE_64
# this builds for DA2.0W (HP PA 2.0 Wide), the LP64 ABI, using 64-bit digits 
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
else
# this builds for DA2.0 (HP PA 2.0 Narrow) ABI32_FPU model 
# (the 32-bit ABI with 64-bit registers) using 64-bit digits
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    ARCHFLAG = -Aa +e +DA2.0 +DS2.0
endif
endif
endif
endif
endif

# The blapi functions are defined not only in the freebl shared
# libraries but also in the shared libraries linked with loader.c
# (libsoftokn3.so and libssl3.so).  We need to use GNU ld's
# -Bsymbolic option or the equivalent option for other linkers
# to bind the blapi function references in FREEBLVector vector
# (ldvector.c) to the blapi functions defined in the freebl
# shared libraries.
ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD OpenBSD, $(OS_TARGET)))
    MKSHLIB += -Wl,-Bsymbolic
endif

ifeq ($(OS_TARGET),SunOS)

# The -R '$ORIGIN' linker option instructs this library to search for its
# dependencies in the same directory where it resides.
MKSHLIB += -R '$$ORIGIN'
ifdef NS_USE_GCC
    ifdef GCC_USE_GNU_LD
	MKSHLIB += -Wl,-Bsymbolic,-z,now,-z,text
    else
	MKSHLIB += -Wl,-B,symbolic,-z,now,-z,text
    endif # GCC_USE_GNU_LD
else
    MKSHLIB += -B symbolic -z now -z text
endif # NS_USE_GCC

# Sun's WorkShop defines v8, v8plus and v9 architectures.
# gcc on Solaris defines v8 and v9 "cpus".  
# gcc's v9 is equivalent to Workshop's v8plus.
# gcc's -m64 is equivalent to Workshop's v9
# We always use Sun's assembler, which uses Sun's naming convention.
ifeq ($(CPU_ARCH),sparc)
    FREEBL_BUILD_SINGLE_SHLIB=
    ifdef USE_64
        HAVE_ABI64_INT = 1
        HAVE_ABI64_FPU = 1
    else
        HAVE_ABI32_INT32 = 1
        HAVE_ABI32_FPU = 1
        HAVE_ABI32_INT64 = 1
    endif
    SYSV_SPARC = 1
    SOLARIS_AS = /usr/ccs/bin/as
    #### set arch, asm, c flags
    ifdef NS_USE_GCC
	ifdef USE_ABI32_INT32
	    # default ARCHFLAG=-mcpu=v8 set by coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif # USE_ABI32_FPU
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    else # NS_USE_GCC
	# FPU_TARGET_OPTIMIZER specifies the target processor and cache
	# properties of the ABI32_FPU and ABI64_FPU architectures for use
	# by the optimizer.
	ifeq (,$(findstring Sun WorkShop 6,$(shell $(CC) -V 2>&1)))
	    # if the compiler is not Forte 6
	    FPU_TARGET_OPTIMIZER = -xcache=64/32/4:1024/64/4 -xchip=ultra3
	else
	    # Forte 6 C compiler generates incorrect code for rijndael.c
	    # if -xchip=ultra3 is used (Bugzilla bug 333925).  So we revert
	    # to what we used in NSS 3.10.
	    FPU_TARGET_OPTIMIZER = -xchip=ultra2
	endif
	ifdef USE_ABI32_INT32
	    #ARCHFLAG=-xarch=v8 set in coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses 64-bit words, integer arithmetic,
	    # no FPU (non-VIS cpus).
	    # These flags were suggested by the compiler group for building
	    # with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses FPU code, and 32-bit word size.
	    # these flags were determined by running cc -### -fast and copying
	    # the generated flag settings
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT
                SOL_CFLAGS += -D__MATHERR_ERRNO_DONTCARE -fsimple=1
                SOL_CFLAGS += -xalias_level=basic -xbuiltin=%all
                SOL_CFLAGS += $(FPU_TARGET_OPTIMIZER) -xdepend
                SOL_CFLAGS += -xlibmil -xO5
	    endif
	    ARCHFLAG = -xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture,
	    # no FPU (non-VIS cpus). For building with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size.
	    # See comment for USE_ABI32_FPU.
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT
                SOL_CFLAGS += -D__MATHERR_ERRNO_DONTCARE -fsimple=1
                SOL_CFLAGS += -xalias_level=basic -xbuiltin=%all
                SOL_CFLAGS += $(FPU_TARGET_OPTIMIZER) -xdepend
                SOL_CFLAGS += -xlibmil -xO5
	    endif
	    ARCHFLAG = -xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    endif # NS_USE_GCC

## microb-engine 20100401-1.9.2-5.2+0m5+0cssu2

=== debian/changelog ===
microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu2) unstable; urgency=low

  * For reading device name use file /proc/cpuinfo instead /proc/component_version

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 11 Jun 2014 14:56:49 +0200

microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu1) unstable; urgency=low

  * Use system zlib and libpng

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 13 Jan 2013 20:36:11 +0200

microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu0) unstable; urgency=low

  * Fixed #12564 - Daemon does not shut down properly when no connection and
    browser closed when connection dialog opens
  * Fixed #12555 - CVE-2010-1205

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Fri, 24 Aug 2012 19:26:42 +0200

microb-engine (20100401-1.9.2-5.2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 20100401-1.9.2-5.2+0m5

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 02 Jun 2010 20:28:17 +0300

microb-engine (20100401-1.9.2-5.2) unstable; urgency=low

  * Updated changelog

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 02 Jun 2010 19:47:27 +0300

microb-engine (20100401-1.9.2-5.1) unstable; urgency=low

  * Merge from microb-engine up to 20100401-1.9.2-5. Excluded on
    relbranch: NB#158248, NB#156374

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 26 May 2010 19:19:45 +0300

microb-engine (20100401-1.9.2-5) unstable; urgency=low

  * Fixed NB#162142 - Browser render throughput using WLAN is under target

 -- Andrey Petrov <andrey.petrov@nokia.com>  Fri,  7 May 2010 08:54:13 +0300

microb-engine (20100401-1.9.2-4) unstable; urgency=low

  * Fixed NB#164676 - Don't (re)start nsIdleService timers if there are no
    listeners

 -- Andrey Petrov <andrey.petrov@nokia.com>  Mon, 19 Apr 2010 13:49:32 +0100

microb-engine (20100401-1.9.2-3) unstable; urgency=low

  * Fixed NB#162660 - too high access rate to /proc/meminfo

 -- Andrey Petrov <andrey.petrov@nokia.com>  Thu, 15 Apr 2010 14:47:07 +0300

microb-engine (20100401-1.9.2-2) unstable; urgency=low

  * Fixes for NB#162142 - Browser render throughput using WLAN is under target

 -- Andrey Petrov <andrey.petrov@nokia.com>  Wed, 14 Apr 2010 08:50:04 +0300

microb-engine (20100401-1.9.2-1) unstable; urgency=low

  * Fixes: NB#162980 - Sync up engine to last mozilla 1.9.2 branch

 -- Andrey Petrov <andrey.petrov@nokia.com>  Mon, 12 Apr 2010 16:02:12 +0300

microb-engine (20100115-1.9.2-27) unstable; urgency=low

  * Fixes: NB#162688 - browser components recompilation with G_DISABLE_CAST_CHECKS

 -- Andrey Petrov <andrey.petrov@nokia.com>  Mon, 12 Apr 2010 15:23:29 +0300

microb-engine (20100115-1.9.2-26) unstable; urgency=low

  * Fixed NB#163345 - CPU load at 100% and mem. usage steadily increasing
    after html5 pages

 -- Andrey Petrov <andrey.petrov@nokia.com>  Fri,  9 Apr 2010 08:13:55 +0100

microb-engine (20100115-1.9.2-25) unstable; urgency=low

  * Revert part of NB#141153. Fixed NB#161179 Download dialog doesn't
    update percentage

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 18 Mar 2010 18:20:48 +0200

microb-engine (20100115-1.9.2-24) unstable; urgency=low

  * Fixed NB#141153 - Device performance is slow while downloading large file

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 17 Mar 2010 16:34:28 +0200

microb-engine (20100115-1.9.2-23) unstable; urgency=low

  * Revert NB#151997 due to undesirable appearance in content (NB#155691,
    NB#155701)

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 16 Mar 2010 15:33:56 +0200

microb-engine (20100115-1.9.2-22) unstable; urgency=low

  * Fixed NB#160263 - Device gets unusable after browsing to
    www.tjareborg.fi due to enormous background image

 -- Andrey Petrov <andrey.petrov@nokia.com>  Tue, 16 Mar 2010 12:09:00 +0200

microb-engine (20100115-1.9.2-21) unstable; urgency=low

  * Fixed NB#157237 - §weba_nc_remember_credentials§ Unlocalised

 -- Andrey Petrov <andrey.petrov@nokia.com>  Mon, 08 Mar 2010 14:53:41 +0200

microb-engine (20100115-1.9.2-20) unstable; urgency=low

  * Fixed NB#158834 - Browser is always stuck when loading page with html5
    audio elements

 -- Andrey Petrov <andrey.petrov@nokia.com>  Thu, 04 Mar 2010 12:35:04 +0200

microb-engine (20100115-1.9.2-18) unstable; urgency=low

  * Fixed NB#157027: first page load on new connection initiated by
    browser usually fails

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 24 Feb 2010 14:49:07 +0200

microb-engine (20100115-1.9.2-17) unstable; urgency=low

  * Fixes for NB#157027: first page load on new connection initiated by browser usually fails

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 18 Feb 2010 14:03:42 +0200

microb-engine (20100115-1.9.2-16) unstable; urgency=low

  * Fixed NB#142104 Browserd causing a lot of wakeups on nettiauto.com

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 16 Feb 2010 14:24:19 +0200

microb-engine (20100115-1.9.2-15) unstable; urgency=low

  * Fixed NB#154896 - Disabled JIT 
 
 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 16 Feb 2010 13:37:34 +0200

microb-engine (20100115-1.9.2-13) unstable; urgency=low

  * Fixed NB#154766 -  |Call| link is inactive

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 10 Feb 2010 13:00:44 +0200

microb-engine (20100115-1.9.2-12) unstable; urgency=low

  * Resurrect 040_netwerk_buffer_count.diff. Fixed NB#154971 large pages
    download slowdown

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 09 Feb 2010 17:38:47 +0200

microb-engine (20100115-1.9.2-11) unstable; urgency=low

  * Fixed NB#152998 - Rich text edit - Unable to move cursor using H/W
    keyboard right & left arrow key in gmail mail compose

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 04 Feb 2010 12:12:01 +0200

microb-engine (20100115-1.9.2-10) unstable; urgency=low

  * Fixed NB#139884 - pkg-config files for nss and nspr are broken
 


=== debian/control ===
Source: microb-engine
Priority: optional
Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libidl-dev, libxt-dev, autoconf2.13, libgtk2.0-dev, automake1.7, libjpeg62-dev, libpng12-dev (>= 1.2.49-1maemo1+0cssu3) | libpng-dev, libosso-gnomevfs2-dev | libgnomevfs2-dev, quilt, bc, sharutils, libcairo2-dev, libdbus-glib-1-dev, liblocation-dev | ubuntu-minimal, libhildonmime-dev | ubuntu-minimal, libosso-dev | ubuntu-minimal, libxdamage-dev, libxcomposite-dev, python2.5, libnotify-dev, libasound-dev, libgstreamer-plugins-base0.10-dev, libgl1-mesa-dev | opengles-sgx-img-common-dev | libgl-dev, libconic0-dev,  libhildonfm2-dev
XS-Cross-Build-Depends: libidl-dev, libxt-dev, libgtk2.0-dev, libjpeg62-dev, libpng12-dev
XS-Cross-Host-Build-Depends: debhelper, quilt, bc, sharutils, zip, libidl-dev
Standards-Version: 3.6.2
Section: libs

Package: libnspr4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libnspr3
Replaces: libnspr3
Description: Netscape Portable Runtime Library
 This library provides platform independent non-GUI operating system
  facilities including:
   * threads,
   * thread synchronisation,
   * normal file I/O and network I/O,
   * interval timing and calendar time,
   * basic memory management (malloc and free),
   * shared library linking and loading.
  .
  See http://www.mozilla.org/docs/refList/refNSPR/ for more information.

Package: libnss3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libnss3-certs (= ${Source-Version}) | softpkcs11, libnspr4 (= ${Source-Version})
Description: Network Security Service Libraries - runtime
 This package provides the runtime libraries needed to use the Netscape
 SSL/TLS layer, including S/MIME and key management.

Package: libnss3-certs
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: softpkcs11
Replaces: softpkcs11
Description: Network Security Service Libraries - runtime
 This package provides the runtime libraries needed to use the Netscape
 SSL/TLS layer, including S/MIME and key management.

Package: microb-engine-common
Section: libs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Package of MicroB libraries based on Mozilla
 MicroB can be used by other external applications.
 Note that using libgtkmozembed or browser-eal is encouraged
 instead of using this directly.
 It is based on Mozilla.


Package: microb-engine
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnss3, libnspr4, microb-engine-common (>= ${Source-Version}), microb-engine-common (<< ${Source-Version}.1~)
Description: Package of MicroB libraries based on Mozilla
 MicroB can be used by other external applications.
 Note that using libgtkmozembed or browser-eal is encouraged
 instead of using this directly.
 It is based on Mozilla.

Package: microb-refui
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, microb-engine
Description: TestGtkEmbed refui for MicroB
 This package provides a simple GUI for testing the browser engine

Package: microb-full
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, microb-full-common (>= ${Source-Version}), microb-full-common (<< ${Source-Version}.1~)
Description: Full microb engine 
 This package provides a simple GUI for testing the browser engine

Package: microb-full-dbg
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, microb-full (= ${Source-Version})
Description: Full microb engine DBG
 This package provides a simple GUI for testing the browser engine

Package: microb-full-common
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Full microb engine 
 This package provides a simple GUI for testing the browser engine

Package: microb-xulrunner
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, microb-engine, microb-refui
Description: Xulrunner files for MicroB engine
 This package provides a simple GUI for testing the browser engine

Package: microb-engine-dev
Section: libdevel
Architecture: any
Depends: microb-engine (>= ${Source-Version}), libnspr4-dev (>= ${Source-Version}), libnss3-dev (>= ${Source-Version}), libidl0
Description: Development package for MicroB
 This package can be used to build other applications and libraries
 based on MicroB.
 It contains headers and static libraries

Package: libnspr4-dbg
Section: libdevel
Architecture: any
Depends: libnspr4 (= ${Source-Version})
Description: Debug package for libnspr4
 Debug symbols file for the libnspr4

Package: libnss3-dbg
Section: libdevel
Architecture: any
Depends: libnss3 (= ${Source-Version})
Description: Debug package for libnss3
 Debug symbols files for the libnss3 libraries

Package: microb-engine-dbg
Section: libdevel
Architecture: any
Depends: microb-engine (= ${Source-Version})
Description: Debug package for MicroB libraries
 Debug symbols files for the microb-engine libraries

Package: microb-refui-dbg
Section: libdevel
Architecture: any
Depends: microb-refui (= ${Source-Version})
Description: Debug package for MicroB refui
 Debug symbols file for the microb refui

Package: microb-xulrunner-dbg
Section: libdevel
Architecture: any
Depends: microb-xulrunner (= ${Source-Version})
Description: Debug Xulrunner files for MicroB engine
 This package provides a simple GUI for testing the browser engine

Package: microb-spellcheck
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Spellcheck extension for Mozilla
 This package provides a Mozilla extension for checking spelling

Package: microb-spellcheck-dbg
Section: libdevel
Architecture: any
Depends: microb-spellcheck (= ${Source-Version})
Description: Debug package for MicroB spellcheck
 Debug symbols file for the microb spellcheck

Package: libnspr4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libnspr4 (= ${Source-Version})
Description: Development files for the NetScape Portable Runtime library
 This library provides platform independent non-GUI operating system
 facilities including:
  * threads,
  * thread synchronisation,
  * normal file I/O and network I/O,
  * interval timing and calendar time,
  * basic memory management (malloc and free),
  * shared library linking.
 .
 Install this package if you wish to develop your own programs using the
 NetScape Portable Runtime library.
 .
 Homepage: http://www.mozilla.org/projects/nspr/

Package: libnss3-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libnss3 (= ${Source-Version}), libnspr4-dev (= ${Source-Version})
Description: Development files for the Network Security Service libraries
 This is a set of libraries designed to support cross-platform development
 of security-enabled client and server applications. It can support SSLv2
 and  v4, TLS, PKCS #5, #7, #11, #12, S/MIME, X.509 v3 certificates and
 other security standards.
 .
 Install this package if you wish to develop your own programs using the
 Network Security Service Libraries.
 .
 Homepage: http://www.mozilla.org/projects/security/pki/nss/

Package: microb-moztests
Architecture: any
Section: misc 
Depends: microb-engine (= ${Source-Version})
Description: Tests for MicroB
 This package provides a mozilla tests for  testing the browser engine

## microb-engine 20100401-1.9.2-5.2+0m5+0cssu2+thumb0

=== debian/changelog ===
microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu2+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 29 Dec 2014 13:03:13 +0200

microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu1+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 14 Jan 2013 18:42:27 +0200

microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu0-thumb0) unstable; urgency=low

  * Rebase on top of maemo.org sources
  * Fix versioning

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 03 Sep 2012 17:54:36 +0300

microb-engine (20100401-1.9.2-5.2+0m5+0cssu0-thumb0) unstable; urgency=low

  * use gcc 4.7.2 to fix HTTPS TLS error
  * Fix gcc 4.7.2 compatibility

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Thu, 26 Jul 2012 20:08:31 +0300

microb-engine (20100401-1.9.2-5.2+0m5-thumb0) unstable; urgency=low

  * Thumb-compile
  * Backport thumb patches from upstream

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 09 Jul 2012 00:34:11 +0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: libnspr4
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Conflicts: libnspr3
 Replaces: libnspr3
 Description: Netscape Portable Runtime Library
@@ -28,7 +28,7 @@
 Package: libnss3
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, libnss3-certs (= ${Source-Version}) | softpkcs11, libnspr4 (= ${Source-Version})
+Depends: ${shlibs:Depends}, libnss3-certs (= ${Source-Version}) | softpkcs11, libnspr4 (= ${Source-Version}), kernel-feature-errata-430973-workaround [armel]
 Description: Network Security Service Libraries - runtime
  This package provides the runtime libraries needed to use the Netscape
  SSL/TLS layer, including S/MIME and key management.
@@ -36,7 +36,7 @@
 Package: libnss3-certs
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Conflicts: softpkcs11
 Replaces: softpkcs11
 Description: Network Security Service Libraries - runtime
@@ -46,7 +46,7 @@
 Package: microb-engine-common
 Section: libs
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: Package of MicroB libraries based on Mozilla
  MicroB can be used by other external applications.
  Note that using libgtkmozembed or browser-eal is encouraged
@@ -57,7 +57,7 @@
 Package: microb-engine
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libnss3, libnspr4, microb-engine-common (>= ${Source-Version}), microb-engine-common (<< ${Source-Version}.1~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnss3, libnspr4, microb-engine-common (>= ${Source-Version}), microb-engine-common (<< ${Source-Version}.1~), kernel-feature-errata-430973-workaround [armel]
 Description: Package of MicroB libraries based on Mozilla
  MicroB can be used by other external applications.
  Note that using libgtkmozembed or browser-eal is encouraged
@@ -67,14 +67,14 @@
 Package: microb-refui
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, microb-engine
+Depends: ${shlibs:Depends}, microb-engine, kernel-feature-errata-430973-workaround [armel]
 Description: TestGtkEmbed refui for MicroB
  This package provides a simple GUI for testing the browser engine
 
 Package: microb-full
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, microb-full-common (>= ${Source-Version}), microb-full-common (<< ${Source-Version}.1~)
+Depends: ${shlibs:Depends}, microb-full-common (>= ${Source-Version}), microb-full-common (<< ${Source-Version}.1~), kernel-feature-errata-430973-workaround [armel]
 Description: Full microb engine 
  This package provides a simple GUI for testing the browser engine
 
@@ -88,14 +88,14 @@
 Package: microb-full-common
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: Full microb engine 
  This package provides a simple GUI for testing the browser engine
 
 Package: microb-xulrunner
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, microb-engine, microb-refui
+Depends: ${shlibs:Depends}, microb-engine, microb-refui, kernel-feature-errata-430973-workaround [armel]
 Description: Xulrunner files for MicroB engine
  This package provides a simple GUI for testing the browser engine
 
@@ -146,7 +146,7 @@
 Package: microb-spellcheck
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround [armel]
 Description: Spellcheck extension for Mozilla
  This package provides a Mozilla extension for checking spelling
 
@@ -194,7 +194,7 @@
 Package: microb-moztests
 Architecture: any
 Section: misc 
-Depends: microb-engine (= ${Source-Version})
+Depends: microb-engine (= ${Source-Version}), kernel-feature-errata-430973-workaround [armel]
 Description: Tests for MicroB
  This package provides a mozilla tests for  testing the browser engine

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

tarballname = mozilla

configopts += $(ADD_OPTIONS)
optimize_add =
envflags =

static:=n
logging:=n
debug:=n
perfmetr:=n
jprof:=n
vfp:=y
oprof:=n
nolibxul:=n
MOZCONFIG_NAME:=configs/mozconfig
MOZCONFIG_LEV:=microb2
syscairo:=y
svgport:=n
canvas:=n
memleaks:=n
jemalloc:=y
mochitests:=n

DH_ALWAYS_EXCLUDE=CVS:.svn

btree = build-tree
tarballs = tarballs

TAR_CREATE_FLAGS = cvzf
MOZILLA_TEST_DIR = mozilla-tests
TEST_PACKAGE_DIR = $(CURDIR)/debian/tmp/usr/share/microb-moztests


export QUILT_PATCHES=$(CURDIR)/debian/patches
QUILT_PATCHES:=$(CURDIR)/debian/patches
STAMP_DIR:=$(CURDIR)/stampdir
STAMPDIR_LOG:=$(CURDIR)/stampdir/log
STAMPDIR_PATCH:=$(CURDIR)/stampdir/log/patch

CONFIG_DIR:=$(CURDIR)/debian/configs
APPENDICES_DIR:=$(CONFIG_DIR)/appendices

GCCVER=.gcc$(shell gcc --version | grep gcc | cut -d ' ' -f 3)

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
        PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
            then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
            else echo 1; fi)
        PARALLEL_JOBS := $(shell echo $(PARALLEL_JOBS)*2+1 | bc)
    endif
    NJOBS:=-j$(PARALLEL_JOBS)
endif

ifneq (,$(findstring CodeSourcery,$(shell gcc --version)))
GCCENV:=.cs
export CSGCC=1
	optimize_add += -DCSGCC=1
else
export CSGCC=0
endif

ifneq (,$(findstring sbox,$(shell gcc --version)))
TABLET:=.tablet
endif

prefix=/usr

srcdir = $(tarballname)
builddir = $(btree)/mozilla

bldstr:=

buildobjdir = "$(CURDIR)/$(btree)/obj-@CONFIG_GUESS@"

# Here can be defined autogen.sh, Ex: PRE_CONF_SCRIPT = ./autogen.sh &&
PRE_CONF_SCRIPT = autoconf &&

DEB_HOST_ARCH          ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CFLAGS += -g -mthumb -mfpu=neon -mcpu=cortex-a8 -fgraphite -ftree-vectorize -Wno-psabi -fpermissive
LDFLAGS += -mthumb -mfpu=neon -mcpu=cortex-a8 -fgraphite -ftree-vectorize

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring static,$(DEB_BUILD_OPTIONS)))
static:=y
else
static:=$(static)
endif

ifneq (,$(findstring jprof,$(DEB_BUILD_OPTIONS)))
jprof:=y
else
jprof:=$(jprof)
endif

ifneq (,$(findstring oprof,$(DEB_BUILD_OPTIONS)))
oprof:=y
else
oprof:=$(oprof)
endif

ifneq (,$(findstring syscairo,$(DEB_BUILD_OPTIONS)))
syscairo:=y
else
syscairo:=$(syscairo)
endif

ifneq (,$(findstring nosyscairo,$(DEB_BUILD_OPTIONS)))
syscairo:=n
else
syscairo:=$(syscairo)
endif

ifneq (,$(findstring svgport,$(DEB_BUILD_OPTIONS)))
svgport:=y
else
svgport:=$(svgport)
endif

ifneq (,$(findstring canvas,$(DEB_BUILD_OPTIONS)))
canvas:=y
else
canvas:=$(canvas)
endif

ifneq (,$(findstring perfmetr,$(DEB_BUILD_OPTIONS)))
perfmetr:=y
else
perfmetr:=$(perfmetr)
endif

ifneq (,$(findstring ext,$(MEMBED_LEVEL)))
MOZCONFIG_LEV:=
MOZCONFIG_NAME:=$(EXT_MOZCONFIG)
endif

ifneq (,$(findstring config,$(DEB_BUILD_OPTIONS)))
	MOZCONFIG_LEV:= $(shell echo $(DEB_BUILD_OPTIONS) | sed -e 's/.*config=\([0-9a-zA-Z]\+\).*/\1/')
endif

ifneq (,$(findstring cairoqt,$(DEB_BUILD_OPTIONS)))
	APPENDICES+=cairoqt
endif

series_file:=series.$(MOZCONFIG_LEV)

ifneq (,$(findstring patches,$(DEB_BUILD_OPTIONS)))
	series_file:=series.$(shell echo $(DEB_BUILD_OPTIONS) | sed -e 's/.*patches=\([0-9a-zA-Z]\+\).*/\1/')
endif

ifneq (,$(findstring nolibxul,$(DEB_BUILD_OPTIONS)))
nolibxul:=y
else
nolibxul:=$(nolibxul)
endif

ifneq (,$(findstring nojemalloc,$(DEB_BUILD_OPTIONS)))
jemalloc:=n
else
jemalloc:=$(jemalloc)
endif

ifneq (,$(findstring withjemalloc,$(DEB_BUILD_OPTIONS)))
jemalloc:=y
else
jemalloc:=$(jemalloc)
endif

ifneq (,$(findstring cflagsopt,$(DEB_BUILD_OPTIONS)))
optimize_add = $(CFLAGS)
endif

ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
vfp:=n
else
vfp:=$(vfp)
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
debug:=y
bldstr:=dbg-
else
debug:=$(debug)
CFLAGS += -DG_DISABLE_CAST_CHECKS
endif

ifneq (,$(findstring logging,$(DEB_BUILD_OPTIONS)))
logging:=y
bldstr:=$(bldstr)log-
else
logging:=$(logging)
endif

ifneq (,$(findstring memleaks,$(DEB_BUILD_OPTIONS)))
memleaks:=y
bldstr:=$(bldstr)lk-
else
memleaks:=$(memleaks)
endif

 
ifneq (,$(findstring mochitests,$(DEB_BUILD_OPTIONS)))
mochitests:=y
else
mochitests:=$(mochitests)
endif

ifeq ($(perfmetr),y)
	configopts += --enable-reflow-perf --enable-perf-metrics
endif

buildobjdir = "$(CURDIR)/$(btree)/obj-"$(bldstr)build$(MOZCONFIG_LEV)

configopts += --disable-elf-dynstr-gc
ifneq (,$(findstring $(DEB_HOST_ARCH),arm armel))
configopts += --with-arm-thumb2
optimize_add += -finline-functions -finline-limit=128 -mtp=cp15
ifeq ($(vfp),y)
	optimize_add += -mfpu=vfp -mfloat-abi=softfp
endif
configopts += --with-arm-kuser
	envflags += ac_cv_have_usable_wchar_option_v2="no"
else
ifneq ($(TABLET),.tablet)
endif
endif
bldstr:=$(bldstr)$(DEB_HOST_ARCH)-

ifeq ($(TABLET),.tablet)
bldstr:=$(bldstr)sb-
endif

	configopts += --disable-install-strip

ifneq ($(jemalloc),y)
	configopts += --disable-jemalloc
else
	configopts += --enable-jemalloc
endif

ifeq ($(debug),y)
#Hack for tablet compiler
ifeq ($(TABLET),.tablet)
ifeq ($(GCCENV),.cs)
	optimize_add += -O1
endif
endif
	configopts += --disable-strip --enable-debug --enable-debugger-info-modules
ifeq ($(nolibxul),n)
bldstr:=$(bldstr)nolibxul-
	configopts += --disable-libxul
else
ifneq (,$(findstring $(GCCENV),.cs))
ifneq (,$(findstring $(GCCVER),.gcc3.4.4))
ifeq ($(nolibxul),n)
bldstr:=$(bldstr)nolibxul-
	configopts += --disable-libxul
endif
endif
endif
endif
endif
ifeq ($(nolibxul),y)
bldstr:=$(bldstr)nolibxul-
	configopts += --disable-libxul
endif

ifeq ($(logging),y)
	configopts += --enable-logging  --enable-logrefcnt
else
	configopts += --disable-logging --disable-logrefcnt
endif

ifeq ($(memleaks),y)
	configopts += --enable-debug --enable-trace-malloc
endif

ifeq ($(mochitests),y)
	configopts += --enable-tests --enable-mochitest --enable-xremote 
else
	configopts += --disable-tests --disable-mochitest --disable-xremote 
endif

ifeq ($(GCCENV),.cs)
ifneq (,$(findstring $(DEB_HOST_ARCH),i386))
	optimize_add +=  -finline-functions -fno-unit-at-a-time
ifeq ($(nolibxul),y)
	optimize_add +=  -O1
endif
endif
ifeq ($(nolibxul),y)
	optimize_add +=  -finline-functions -fno-unit-at-a-time
endif
endif

ifeq ($(jprof),y)
	configopts += --disable-debug --enable-debugger-info-modules --disable-strip --enable-jprof
bldstr:=$(bldstr)jpr-
endif

ifneq (,$(findstring strip,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O2 -g0
	configopts += --enable-strip
bldstr:=$(bldstr)strip-
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
bldstr:=$(bldstr)noopt-
endif

ifeq ($(oprof),y)
	optimize_add +=  -fno-omit-frame-pointer
bldstr:=$(bldstr)opr-
endif

ifeq ($(syscairo),y)
	configopts += --enable-system-cairo
bldstr:=$(bldstr)syscairo-
endif

ifeq ($(nojit),y)
	configopts += --disable-jit
bldstr:=$(bldstr)nojit-
endif

ifeq ($(canvas),y)
	configopts += --enable-canvas
endif

	configopts += --enable-optimize=\"$(CFLAGS) $(optimize_add) \"

# shared library versions, option 1
version=$(shell dpkg-parsechangelog | grep ^Version:.* | cut -d ' ' -f 2 | cut -d ':' -f 2 | cut -d '-' -f 1,2)
packagename=$(shell dpkg-parsechangelog | grep ^Source:.* | cut -d ' ' -f 2)
PKGVERSION      := $(shell dpkg-parsechangelog | grep ^Version:.* | cut -d ' ' -f 2)
MOZ_VERSION=3.6
MOZ_MILESTONE=1.9.2

major=2

cross_compile:=n
CROSS_HOST_PREFIX=
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	HBT_OPT = --build=$(DEB_HOST_GNU_TYPE)
XPT_LINK:=$(CURDIR)/debian/tmp/usr/lib/microb-engine/xpt_link
else
	HBT_OPT = --target=$(DEB_HOST_GNU_TYPE)
	CROSS_FLAGS =
cross_compile:=y
bldstr:=$(bldstr)cross-

## microb-engine 20100401-1.9.2-5.2+0m5+0cssu3

=== debian/changelog ===
microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu3) unstable; urgency=low

  * Add a workaround for an issue where Google Search can sometimes 
    return an unescaped & symbol

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 14 Oct 2017 21:40:53 -0400

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 debug:=n
 perfmetr:=n
 jprof:=n
-vfp:=y
+vfp:=n
 oprof:=n
 nolibxul:=n
 MOZCONFIG_NAME:=configs/mozconfig
@@ -87,8 +87,7 @@
 DEB_HOST_ARCH_OS       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
-CFLAGS += -g -mthumb -mfpu=neon -mcpu=cortex-a8 -fgraphite -ftree-vectorize -Wno-psabi -fpermissive
-LDFLAGS += -mthumb -mfpu=neon -mcpu=cortex-a8 -fgraphite -ftree-vectorize
+CFLAGS += -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -228,7 +227,7 @@
 
 configopts += --disable-elf-dynstr-gc
 ifneq (,$(findstring $(DEB_HOST_ARCH),arm armel))
-configopts += --with-arm-thumb2
+configopts += --without-arm-thumb2
 optimize_add += -finline-functions -finline-limit=128 -mtp=cp15
 ifeq ($(vfp),y)
 	optimize_add += -mfpu=vfp -mfloat-abi=softfp
@@ -364,3 +363,11 @@
 	CROSS_FLAGS =
 cross_compile:=y
 bldstr:=$(bldstr)cross-
+XPT_LINK:=$(CURDIR)/$(btree)/obj-$(bldstr)build$(MOZCONFIG_LEV)/dist/host/bin/host_xpt_link
+endif
+
+unpack: unpack-stamp
+unpack-stamp:
+	mkdir -p $(btree)
+	mkdir -p $(STAMPDIR_LOG)
+	#Small hack for old X11R6 directory
